/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Max;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MapAngkaToBulanDto {

	private Integer kdMapping;

	@NotNull(message = "mapangkatobulan.formatangka.notnull")
	private Integer formatAngka;

	@NotNull(message = "mapangkatobulan.formatbulan.notnull")
	private String formatBulan;

	@NotNull(message = "mapangkatobulan.reportdisplay.notnull")
	private String reportDisplay;

	@NotNull(message = "mapangkatobulan.nourut.notnull")
	private Integer noUrut;

	private String kodeExternal;

	private String namaExternal;

	//@NotNull(message = "mapangkatobulan.kddepartemen.notnull")
	private String kdDepartemen;

	@NotNull(message = "mapangkatobulan.statusenabled.notnull")
	private Boolean statusEnabled;

	private String noRec;

	private Integer version;
}
